Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154295 - (FC4 perl) Fix binary compat symlinks
Summary: (FC4 perl) Fix binary compat symlinks
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-09 08:35 UTC by Warren Togami
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-27 06:42:38 UTC


Attachments (Terms of Use)

Description Warren Togami 2005-04-09 08:35:07 UTC
Ville Skyttä wrote:
> On Sun, 2005-04-03 at 23:51 -1000, Warren Togami wrote:
>>I recall Chip mentioning ABI broke sometime after 5.8.0.  Maybe I'm wrong...
> 
> No, you're right, I forgot.  man perl582delta or
> http://search.cpan.org/dist/perl/pod/perl582delta.pod#Incompatible_Changes
> 
> FWIW, I don't remember running into this myself nor seeing any related
> bug reports.  The changelog of the perl package does not contain hints
> of special patches having been applied in the shipped 5.8.1 series
> packages that would fix the incompatibility.
> 
> So, 5.8.1 would be a candidate for removal from the compat list, and
> @INC and friends.  All perl-* packages in Rawhide have been built with
> 5.8.3 or later, and IIRC no perl-* packages have been removed from FC
> since FC1 (5.8.1) so the removal wouldn't seem to need any actions
> there.  It would affect 3rd party packages and locally installed modules
> done with 5.8.1 but still in use with current FC4 perl.  But that is
> probably close to an empty set today.
> 
> Also, the perl-5.8.0's shipped in RHL9 and RHEL3 have quite a few
> patches applied, including at least some upstream ones (according to the
> changelog of the package).  If some of those patches introduced the
> binary incompatibility present in upstream 5.8.1, 5.8.0 would be a
> candidate for removal from the compat lists too.
> 

I asked Chip Turner for verification about perl-5.8.0.  Keeping this report for
tracking purposes.

Comment 1 Warren Togami 2005-04-27 06:42:38 UTC
Removed 5.8.0 and 5.8.1 from perl-5.8.6-8

Comment 2 Jose Pedro Oliveira 2005-04-27 07:01:35 UTC
Warren,

Version 5.8.2 can also be removed. IIRC it only appeared in rawhide. It never
was shipped in a Fedora distro (FC1 shipped with 5.8.1 and then was updated to
5.8.3).

Comment 3 Ville Skyttä 2005-04-27 07:07:33 UTC
Have you checked if any module packages built with 5.8.2 were shipped with any
distro, even if 5.8.2 itself wasn't?

Comment 4 Warren Togami 2005-04-27 07:11:32 UTC
No time to do so.  I'll just leave it at removed 5.8.0 and 5.8.1 for now unless
somebody really cares enough to find out.


Comment 5 Jose Pedro Oliveira 2005-04-27 07:19:47 UTC
FC1 server installation: all the 5.8.2 directories are emtpy.
FC3 full installation: all the 5.8.2 directories are empty.

I will download every FC1, FC2, and FC3 perl packages and check it.
Answer in a few minutes.

Comment 6 Jose Pedro Oliveira 2005-04-27 07:42:21 UTC
Done!

Extracted all perl modules and mod_perl (base distro and updates).

Fedora Core 1
-------------
Perl versions: 
perl-5.8.1-92.i386.rpm
perl-5.8.3-10.i386.rpm
perl-5.8.3-16.i386.rpm

* all perl modules are installed in 5.8.0 and 5.8.1 directories.


Fedora Core 2
-------------
Perl version:
perl-5.8.3-18.i386.rpm

* all perl modules are installed in 5.8.3 directories.


Fedora Core 3
-------------
Perl version:
perl-5.8.5-9.i386.rpm

* all perl modules are installed in 5.8.3 and 5.8.5 directories.


Fedora Core 4 test (until yesterday)
------------------------------------
Perl version:
perl-5.8.6-7.i386.rpm

* all perl modules are installed in 5.8.5 and 5.8.6 directories.


Summary
-------
* Nothing in 5.8.2 directories.
* The 5.8.4 directories are also empty in FC3 and FC4 test.


Comment 7 Jose Pedro Oliveira 2005-05-03 00:33:00 UTC
Can we also remove 5.8.2?

I didn't found any perl package being installed in 5.8.2 directories
(see comment #6).

Comment 8 Jose Pedro Oliveira 2005-05-18 21:57:05 UTC
Log:
* Remove 5.8.0 and 5.8.1 ABI compat -> perl 3:5.8.6-8
* Remove 5.8.2 ABI compat           -> perl 3:5.8.6-12


Comment 9 Jose Pedro Oliveira 2005-05-18 22:03:48 UTC
Shouldn't a warning be added to the FC4 release notes about the removal of the
5.8.{0,1,2} directories from the perl module search path?

It may break perl apps for ppl upgrading, in particular if they install perl
modules from CPAN and/or package their modules using RPM::Specfile of cpan2rpm.


Note You need to log in before you can comment on or make changes to this bug.